#include <bits/stdc++.h>

using namespace std;

map<char, pair<int, int>> mapa;
long long resenje;
void jeCvrst(string h) {
    int duzina = h.length();
    for(int i = 0; i < duzina; i++) {
        if(mapa[h[i]].first == 0) {
            mapa[h[i]].second = i;
            mapa[h[i]].first++;
        }
        else {
            int brojac = 0;
            while(h[i] == h[i + brojac] && i + brojac != duzina - 1) brojac++;
            resenje += min(brojac, min(mapa[h[i]].first, i - mapa[h[i]].second + mapa[h[i]].first + 1));
            mapa[h[i]].first = 0;
        }
    }
    cout << resenje << endl;
}

int main() {
    string h;
    cin >> h;
    jeCvrst(h);
    return 0;
}